XtErrorMsg(3) | Library Functions Manual | XtErrorMsg(3)

# NAME

XtErrorMsg, XtSetErrorMsgHandler, XtWarningMsg, XtSetWarningMsgHandler - high-level error handlers

# SYNTAX

#include <X11/Intrinsic.h>

_X_NORETURN void XtErrorMsg(const char *name, const char *type, const char *class, const char *defaultMsg, String *params, Cardinal *num_params);

void XtSetErrorMsgHandler(_X_NORETURN XtErrorMsgHandler msg_handler);

void XtSetWarningMsgHandler(XtErrorMsgHandler msg_handler);

void XtWarningMsg(const char *name, const char *type, const char *class, const char *defaultMsg, String *params, Cardinal *num_params);

# ARGUMENTS

class
  Specifies the resource class of the error message.
default
  Specifies the default message to use.
name
  Specifies the general kind of error.
type
  Specifies the detailed name of the error.
msg_handler
  Specifies the new fatal error procedure, which should not return or the nonfatal error procedure, which usually returns.
num_params
  Specifies the number of values in the parameter list.
params
  Specifies a pointer to a list of values to be stored in the message.

# DESCRIPTION

The XtErrorMsg function has been superseded by XtAppErrorMsg.

The XtSetErrorMsgHandler function has been superseded by XtAppSetErrorMsgHandler.

The XtSetWarningMsgHandler function has been superseded by XtAppSetWarningMsgHandler.

The XtWarningMsg function has been superseded by XtAppWarningMsg

# SEE ALSO

XtAppErrorMsg(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT COMPATIBILITY FUNCTIONS